DEFINITION MODULE GemImage;

 (* Modul zur Erzeugung von gepackten GEM-Image-Files 
    Version 1.0, vom 29.6.1991, (c) by JauTeam
    Erstellt von: Peter Oleski und Christian Felsch
    mit         : MegaMax Modula 2, Vers. 4.1
    
    Anfragen    : E-Mail Christian Felsch @HH (Maus Hamburg)
 *)
       
 FROM SYSTEM     IMPORT ADDRESS;
 
 TYPE   SmallHeader = RECORD
                       version,
                       pixelbreite,
                       pixelhoehe,
                       bildbreite,
                       bildhoehe   :CARDINAL;
                      END(*RECORD*);
  
  
 PROCEDURE BitImageSpeichern(data:ADDRESS; header: SmallHeader; 
                                       filename: ARRAY OF CHAR):BOOLEAN;

  (* Wandelt Bilder ins IMG-Format um.
     Der Speicherbereich ab <data> wird als Bild der Gre
     <header.bildbreite> und <header.bildhoehe> interpretiert.
     Die Routine benutzt eine Musterlnge von 2 Bytes und kann
     nur monochrome Bilder verarbeiten ! Daher benutzt mu ihr
     nur ein "SmallHeader" bergeben werden. Die Bilder werden
     natrlich mit dem kompletten IMG-Header abgespeichert.
     Der Dateiname wird in <filename> bergeben.
     Das Bild, auf das <data> zeigt, darf maximal 4080 Punkte breit
     sein. Das gesamte Bild darf bei o.g. Breite max. 4.2 MByte
     gro sein !
     Die Routine liefert ein False zurck, wenn etwas nicht geklappt hat.
  *)  

 (* PROCEDURE BitImageLaden; 
    
    Siehe Profibuch.
    Von uns wird noch einer folgen !
     
  *)    
  
END GemImage.
  
